Opened 6 years ago

Closed 5 years ago

#9770 closed defect (fixed)

"update available," but using lastest version...?

Reported by: cypherpunks Owned by: mikeperry
Priority: Medium Milestone:
Component: Applications/Tor bundles/installation Version: Tor: 0.2.3.25
Severity: Keywords: needs-triage
Cc: erinn Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

check.torproject.org says there's an update available, but I'm running TBB from tor-browser-2.3.25-12_en-US.exe (most recent version shown on download page).

"About TorBrowser" says "Firefox ESR" 17.0.8

Any thoughts?

Child Tickets

Change History (10)

comment:1 Changed 6 years ago by cypherpunks

Component: - Select a componentTor bundles/installation
Owner: set to erinn

comment:2 Changed 6 years ago by erinn

If you go to about:config and look for torbrowser.version, what does it say?

comment:3 in reply to:  2 Changed 6 years ago by cypherpunks

Replying to erinn:

If you go to about:config and look for torbrowser.version, what does it say?

It says "2.3.25-12-Windows". That is the latest stable release, correct?

comment:4 Changed 6 years ago by erinn

Cc: mikeperry added

Indeed, and it's the version listed in this file: https://check.torproject.org/RecommendedTBBVersions

Sometimes check.tpo goes a little wonky, but that's not exactly helpful for you. How long has this been happening? Does it happen also if you extract a new copy of the same bundle?

comment:5 Changed 6 years ago by arma

I find it an interesting coincidence that this issue came up when there actually is a new 17.0.x-esr available.

I wonder if something somewhere is still checking a different page.

comment:6 Changed 6 years ago by arma

Oh, here's another fine question: does this happen on each restart of your TBB, or did it only happen that once?

comment:7 in reply to:  6 Changed 6 years ago by cypherpunks

Replying to arma:

Oh, here's another fine question: does this happen on each restart of your TBB, or did it only happen that once?

Good question.

So, I figured out that upon first launch of the browser, it passes the version check without flaw. However, it'll say I need to upgrade if I revist check.torproject.org. Interesting...

That gives me a little peace of mind, but maybe an admin could look into it.

I appreciate your replies!

comment:8 Changed 6 years ago by erinn

Cc: erinn added; mikeperry removed
Owner: changed from erinn to mikeperry
Status: newassigned

Thanks for the feedback. That's pretty interesting.

Just wanted to add that on Linux I cannot reproduce the revisit thing. I'm going to try it on some other platforms and see what happens. (Reassigning to Mike since I don't do any check.tpo stuff.)

comment:9 Changed 5 years ago by erinn

Keywords: needs-triage added

comment:10 Changed 5 years ago by erinn

Resolution: fixed
Status: assignedclosed

I'm closing this since it's really old and has to do with an extremely old version of TBB. Please reopen if you encounter this problem again.

Note: See TracTickets for help on using tickets.